<script setup lang="ts">
import { onMounted } from 'vue'
import ThreeBoxSection from '../components/ThreeBoxSection.vue'
import { useAuthStore } from '@/stores/auth'
import { useHomeStore } from '../store/home'

const auth = useAuthStore()
const store = useHomeStore()

onMounted(() => {
  store.fetchBranchById(auth.getCurrentUser()?.branch.id ?? 0)
  store.setupToday()
})
</script>

<template>
  <v-container fluid class="h-100">
    <v-row no-gutters>
      <v-col cols="auto">
        <h1>Dashboard</h1>
      </v-col>
      <v-spacer></v-spacer>
      <v-col class="text-end pa-0 ma-0">
        <v-chip size="large" color="blue" prepend-icon="mdi-account">{{
          auth.getCurrentUser()?.role.name.toUpperCase()
        }}</v-chip>
      </v-col>
    </v-row>
    <v-row>
      <ThreeBoxSection title="Revenue"></ThreeBoxSection>
    </v-row>
  </v-container>
</template>
